Foreman - Bug #8587

hammer host enable build can be enabled also for unmanaged hosts
12/05/2014 04:01 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Adam Ruzicka
Category: API
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1170696 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3327
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1170696

Description of problem:

It is possible to enable build also for hosts that are not managed. The result is then a no-op, because the PXE templates are not
generated.

This behaviour is inconsistent with the Ul, that where you cannot click the Build button when the host is not Managed. Also in the
situation of enabling build without managed shows in the Ul that the node is in Building status, but you are not allowed to view the
templates either, these show an error that the host is not managed.

hoiroot@li-1c-1017:~$ sudo -u hoici hammer -c /opt/hoici/etc/hammer-hoici.yaml host update —--name
1i-1c-1014.hag.hilti.com —--managed no
Host updated

hoiroot@1li-1c-1017:~$ 1ls -1 /var/lib/tftpboot/pxelinux.cfg/
total 16
—-rw-r——-r—— 1 foreman-proxy foreman-proxy 12361 Dec 4 15:22 default

hoiroot@li-1c-1017:~$ sudo -u hoici hammer -c /opt/hoici/etc/hammer-hoici.yaml host update —--name
1i-1c-1014.hag.hilti.com —--build no
Host updated

hoiroot@1li-1c-1017:~$ sudo —-u hoici hammer -c /opt/hoici/etc/hammer—hoici.yaml host update —-—-name
1i-1c-1014.hag.hilti.com —--build yes

Host updated

hoiroot@li-1c-1017:~$ 1ls -1 /var/lib/tftpboot/pxelinux.cfg/

total 16

—-rw—r—--r—— 1 foreman-proxy foreman-proxy 12361 Dec 4 15:22 default
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. Use the hammer to enable build as shown above

2.

3.

Actual results:

Expected results:
Give an Error that enabling build is only allowed for Managed hosts.

Additional info:
Associated revisions

Revision dac16774 - 03/23/2016 05:02 AM - Adam Ruzicka

Fixes #8587 - Don't allow build for unmanaged hosts

History

#1 - 12/05/2014 04:02 AM - Dominic Cleal

- Subject changed from hammer host enable build can be enable also for unmanaged hosts to hammer host enable build can be enabled also for
unmanaged hosts

- Description updated
- Category set to API
- Assignee deleted (Bryan Kearney)

#2 - 03/15/2016 10:14 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Adam Ruzicka

- Pull request https://github.com/theforeman/foreman/pull/3327 added

#3 - 03/23/2016 06:01 AM - Adam Ruzicka
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset dac16774f9d741a9ef361f0f6bbce452bdeabb92.

#4 - 03/23/2016 08:42 AM - Dominic Cleal

- translation missing: en.field_release set to 136

05/18/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/dac16774f9d741a9ef361f0f6bbce452bdea6b92
http://www.tcpdf.org

